# Interface methods for submodule: Array2D
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import vnl_matrixProxy as _vnl_matrixProxy


# Interface methods for class: Array2D
class Array2DProxy(_vnl_matrixProxy):
	@overload
	def Fill(self, v: float) -> None:
		""""""
		...

	@overload
	def Fill(self, v: int) -> None:
		""""""
		...

	@overload
	def GetElement(self, row: int, col: int) -> float:
		""""""
		...

	@overload
	def GetElement(self, row: int, col: int) -> int:
		""""""
		...

	@overload
	def SetElement(self, row: int, col: int, value: float) -> None:
		""""""
		...

	@overload
	def SetElement(self, row: int, col: int, value: int) -> None:
		""""""
		...

	def SetSize(self, m: int, n: int) -> None:
		""""""
		...

